Bug 104797 - kernel BUG at page_alloc.c:131!
kernel BUG at page_alloc.c:131!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 04:33 EDT by Ioannou Ioannis
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (812 bytes, text/plain)
2003-09-22 04:36 EDT, Ioannou Ioannis
no flags Details
cpu info (424 bytes, text/plain)
2003-09-22 04:37 EDT, Ioannou Ioannis
no flags Details
dmesg (18.14 KB, text/plain)
2003-09-22 04:45 EDT, Ioannou Ioannis
no flags Details

  None (edit)
Description Ioannou Ioannis 2003-09-22 04:33:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
I can see this bug since I first installed RH8.0, from 2.4.18-14 up to 2.4.20-20.8. Sometimes it happens when a user application closes (and the system continues), sometimes on critical applications like kswapd, in which case the system usually crashes. I have an Nvidia card but I DO NOT use the binary drivers from Nvidia.



Version-Release number of selected component (if applicable):
kernel-2.4.20-20.8

How reproducible:
Sometimes

Steps to Reproduce:
1.
2.
3.
    

Additional info:

Sep 22 07:34:48 hscsan kernel: ------------[ cut here ]------------
Sep 22 07:34:48 hscsan kernel: kernel BUG at page_alloc.c:131!
Sep 22 07:34:48 hscsan kernel: invalid operand: 0000
Sep 22 07:34:48 hscsan kernel: nfsd lockd sunrpc eepro100 mii iptable_filter ip_tables serial microcode st mousedev keybdev input hid ehci-hcd usb-ohci usbcore aic7xxx sd_mod scsi_mod  
Sep 22 07:34:48 hscsan kernel: CPU:    0
Sep 22 07:34:48 hscsan kernel: EIP:    0010:[<c013d5bd>]    Not tainted
Sep 22 07:34:48 hscsan kernel: EFLAGS: 00010282
Sep 22 07:34:48 hscsan kernel: 
Sep 22 07:34:48 hscsan kernel: EIP is at __free_pages_ok [kernel] 0xdd (2.4.20-20.8custom)
Sep 22 07:34:48 hscsan kernel: eax: 02001010   ebx: c2193c48   ecx: c1000030   edx: f0140580
Sep 22 07:34:48 hscsan kernel: esi: 00000000   edi: 00000000   ebp: 00000000   esp: ef6e7ebc
Sep 22 07:34:48 hscsan kernel: ds: 0018   es: 0018   ss: 0018
Sep 22 07:34:48 hscsan kernel: Process vi (pid: 3670, stackpage=ef6e7000)
Sep 22 07:34:48 hscsan kernel: Stack: c258a100 00000296 c02f4bc4 00000296 c02f4900 c1c40030 c02f4b4c fffef324 
Sep 22 07:34:48 hscsan kernel:        fffef324 0002f000 c2193c48 fffef324 0002f000 505a5065 c012ddec c2193c48 
Sep 22 07:34:48 hscsan kernel:        00013000 c0130447 efe85d00 08013000 fffef324 00000001 00000013 08400000 
Sep 22 07:34:48 hscsan kernel: Call Trace:   [<c012ddec>] __free_pte [kernel] 0x4c (0xef6e7ef4))
Sep 22 07:34:48 hscsan kernel: [<c0130447>] zap_pte_range [kernel] 0x137 (0xef6e7f00))
Sep 22 07:34:48 hscsan kernel: [<c012e44b>] zap_page_range [kernel] 0xcb (0xef6e7f28))
Sep 22 07:34:48 hscsan kernel: [<c0131a0f>] exit_mmap [kernel] 0xaf (0xef6e7f68))
Sep 22 07:34:48 hscsan kernel: [<c011c2fa>] mmput [kernel] 0x4a (0xef6e7f8c))
Sep 22 07:34:48 hscsan kernel: [<c0120f66>] do_exit [kernel] 0xa6 (0xef6e7f9c))
Sep 22 07:34:48 hscsan kernel: [<c0121143>] sys_exit [kernel] 0x13 (0xef6e7fb8))
Sep 22 07:34:48 hscsan kernel: [<c010905f>] system_call [kernel] 0x33 (0xef6e7fc0))
Sep 22 07:34:48 hscsan kernel: 
Sep 22 07:34:48 hscsan kernel: 
Sep 22 07:34:48 hscsan kernel: Code: 0f 0b 83 00 50 97 24 c0 b8 02 00 00 00 0f b3 43 18 b8 04 00
Comment 1 Ioannou Ioannis 2003-09-22 04:36:36 EDT
Created attachment 94620 [details]
lspci output
Comment 2 Ioannou Ioannis 2003-09-22 04:37:36 EDT
Created attachment 94621 [details]
cpu info
Comment 3 Ioannou Ioannis 2003-09-22 04:45:32 EDT
Created attachment 94622 [details]
dmesg
Comment 4 Bugzilla owner 2004-09-30 11:41:33 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.